<?
class c_services_aspmo_signature_DTW
{

   function show(&$options=array())
   {   $source_width=600 ;
       $source_height=400 ;
       $im=imagecreate($source_width,$source_height) ;
       imagecolorallocate($im, 255, 255, 255);
       $dot_color=imagecolorallocate($im, 0, 0, 0);
       $fname_dtw='' ; $str_data='' ;
       if ($_GET['id']) $fname_dtw=_DIR_TO_ROOT.'/public/mo_sign/'.$_GET['id'].'.data' ;
       if (file_exists($fname_dtw)) $str_data=file_get_contents($fname_dtw) ;
       if ($str_data)
       {   $data=unserialize($str_data) ;
           $x1=0 ;  $y1=0  ;$x2=0 ;  $y2=0  ;
           foreach($data as $i=>$value)
           {  if (!$i)
              {  $x1=$value['x'] ;
                 $y1=$value['y'] ;
              }
              else
              {  $x2=$value['x'] ;
                 $y2=$value['y'] ;
                 
                 if ($value['type']) { imageline($im, $x1, $y1, $x2, $y2, $dot_color); }
                 if (!isset($value['type'])) { imageline($im, $x1, $y1, $x2, $y2, $dot_color); }

                 $x1=$x2 ;
                 $y1=$y2 ;
              }

           }
       }
       //$background_color = imagecolorallocate($im, 255, 255, 255);
       if (isset($_GET['width']) and $_GET['width']!=$source_width)
       {   $out_width=$_GET['width'] ;
           $out_height=$source_height/($source_width/$out_width) ;
           $im_out  = imagecreatetruecolor($out_width,$out_height);
           imagecopyresampled($im_out, $im,0,0, 0,0,$out_width,$out_height,$source_width,$source_height);
       imagedestroy($im);
       }
       else  $im_out=$im ;
       header('Content-type: image/png');
       imagepng($im_out);
       imagedestroy($im_out);
   }
}